Bug 821218 - [abrt] xorg-x11-server-Xorg-1.12.0-2.fc17: __open_catalog: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.12.0-2.fc17: __open_catalog: Process /usr/bin/X...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:4b9fa37f658a6b08b1369ee5a36...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 04:05 EDT by Mikhail
Modified: 2013-08-01 14:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.99 KB, text/plain)
2012-05-13 04:05 EDT, Mikhail
no flags Details
File: maps (13.27 KB, text/plain)
2012-05-13 04:05 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-05-13 04:05:39 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-dB2eLM/database -seat seat0 -nolisten tcp
crash_function: __open_catalog
executable:     /usr/bin/Xorg
kernel:         3.3.0-8.fc17.i686.PAE
open_fds:       
pid:            2803
pwd:            /var/gdm
remote_result:  NOTFOUND
time:           Пн. 02 апр. 2012 03:44:12
uid:            0
username:       root

backtrace:      Text file, 8185 bytes
maps:           Text file, 13584 bytes

core_backtrace:
:60692b63e0a786b7419c22bb16164a42e58f2dfb 0x424 __kernel_vsyscall linux-gate.so.1 -
:a301ee7aef627ef766da7fc533c34672919c3a06 0x2ea6f raise libc.so.6 -
:a301ee7aef627ef766da7fc533c34672919c3a06 0x303c3 abort libc.so.6 -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x6c91a OsAbort [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x84dc7 ddxGiveUp [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x84e73 AbortDDX [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x68a12 - [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x68b3a FatalError [exe] -
:40cb6987a6e62b8d3aca8dbc81dfbf5b108a8b64 0x69e3a - [exe] -

dso_list:
:/usr/lib/llvm/libLLVM-3.0.so llvm-libs-3.0-10.fc17.i686 (Fedora Project) 1332927594
:/usr/lib/xorg/modules/extensions/libextmod.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libexpat.so.1.5.2 expat-2.0.1-12.fc17.i686 (Fedora Project) 1329853944
:/usr/lib/xorg/modules/libexa.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libselinux.so.1 libselinux-2.1.9-9.fc17.i686 (Fedora Project) 1330498918
:/usr/lib/libpthread-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/libdrm_radeon.so.1.0.0 libdrm-2.4.32-1.fc17.i686 (Fedora Project) 1332502095
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1329853945
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-2.fc17.i686 (Fedora Project) 1329853943
:/usr/lib/xorg/modules/drivers/vesa_drv.so xorg-x11-drv-vesa-2.3.0-15.fc17.i686 (Fedora Project) 1329854144
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.32-1.fc17.i686 (Fedora Project) 1332502095
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-1.fc17.i686 (Fedora Project) 1332502118
:/usr/lib/xorg/modules/extensions/libdri.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/xorg/modules/drivers/fbdev_drv.so xorg-x11-drv-fbdev-0.4.2-8.fc17.i686 (Fedora Project) 1329854144
:/usr/lib/xorg/modules/extensions/libdri2.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/xorg/modules/drivers/radeon_drv.so xorg-x11-drv-ati-6.14.3-12.20120206git36c190671.fc17.i686 (Fedora Project) 1333099147
:/usr/lib/xorg/modules/extensions/libdbe.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libnss_files-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/libXdmcp.so.6.0.0 libXdmcp-1.1.1-1.fc17.i686 (Fedora Project) 1331961657
:/usr/lib/libm-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/libcrypto.so.1.0.0h openssl-1:1.0.0h-1.fc17.i686 (Fedora Project) 1332682149
:/usr/lib/xorg/modules/drivers/ati_drv.so xorg-x11-drv-ati-6.14.3-12.20120206git36c190671.fc17.i686 (Fedora Project) 1333099147
:/usr/lib/libfontenc.so.1.0.0 libfontenc-1.1.0-2.fc17.i686 (Fedora Project) 1329853957
:/usr/lib/xorg/modules/extensions/libglx.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/xorg/modules/input/synaptics_drv.so xorg-x11-drv-synaptics-1.5.99.901-2.fc17.i686 (Fedora Project) 1331961824
:/usr/lib/libaudit.so.1.0.0 audit-libs-2.2.1-1.fc17.i686 (Fedora Project) 1332590051
:/usr/lib/ld-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/xorg/modules/extensions/librecord.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1329853941
:/usr/lib/libudev.so.0.13.1 libudev-182-1.fc17.i686 (Fedora Project) 1332258439
:/usr/lib/dri/r600_dri.so mesa-dri-drivers-8.0.1-9.fc17.i686 (Fedora Project) 1333099301
:/usr/lib/libc-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/xorg/modules/input/evdev_drv.so xorg-x11-drv-evdev-2.7.0-2.fc17.i686 (Fedora Project) 1333099302
:/usr/lib/libfreetype.so.6.8.0 freetype-2.4.8-2.fc17.i686 (Fedora Project) 1329853942
:/usr/lib/xorg/modules/libfbdevhw.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/librt-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/libdl-2.15.so glibc-2.15-28.fc17.i686 (Fedora Project) 1331961620
:/usr/lib/libmtdev.so.1.0.0 mtdev-1.1.0-3.20110105.fc17.i686 (Fedora Project) 1329853997
:/usr/lib/libgcc_s-4.7.0-20120322.so.1 libgcc-4.7.0-1.fc17.i686 (Fedora Project) 1332502096
:/usr/lib/libXfont.so.1.4.1 libXfont-1.4.5-1.fc17.i686 (Fedora Project) 1331001495
:/usr/lib/xorg/modules/libfb.so xorg-x11-server-Xorg-1.12.0-2.fc17.i686 (Fedora Project) 1331961659
:/usr/lib/libpixman-1.so.0.24.4 pixman-0.24.4-1.fc17.i686 (Fedora Project) 1331961642

environ:
:HOSTNAME=ao521
:HISTSIZE=1000
:KEYTABLE=us
:BOOT_IMAGE=/boot/vmlinuz-3.3.0-8.fc17.i686.PAE
:LANG=en_US.UTF-8
:SYSFONT=True
:DISPLAY==:0
:MAIL=/var/spool/mail/root
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLVL=0
:PWD=/
:HISTCONTROL=ignoredups
:USER=root
:PATH=/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin
:LOGNAME=root

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             30094                30094                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30094                30094                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:General
:=================================
:UUID: 6478aaa9-30e4-4a97-a123-b179d02652cd
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3391.32
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II Neo K125 Processor
:CPU Stepping: 3
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 1
:CPU Speed: 1700
:System Memory: 3778
:System Swap: 4095
:Vendor: Acer
:System: AO521 Not Applicable
:Form factor: Notebook
:Kernel: 3.3.4-4.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4133:1085) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4133:1085) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:1085) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(6505:8288:4133:1085) pci, atl1c, ETHERNET, AR8152 v1.1 Fast Ethernet
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(5772:43:4187:57397) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4133:1085) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4133:1085) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38674:4133:1085) pci, radeon, VIDEO, M880G [Mobility Radeon HD 4200]
:(4098:38671:4098:38674) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4133:1085) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4133:1085) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38404:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4133:1085) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 6094889 3618932 3557910 1531904 1250245 1250245
:/dev/sda5 /home ext4 4096 4096 48953540 3023244 572537 12255232 12074928 12074928
:

var_log_messages:
:Apr  2 03:44:12 ao521 abrt[10827]: File '/usr/bin/Xorg' seems to be deleted
:Apr  2 03:44:13 ao521 abrt[10827]: Saved core dump of pid 2803 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-04-02-03:44:12-2803 (30879744 bytes)
Comment 1 Mikhail 2012-05-13 04:05:47 EDT
Created attachment 584111 [details]
File: backtrace
Comment 2 Mikhail 2012-05-13 04:05:49 EDT
Created attachment 584112 [details]
File: maps
Comment 3 Marek Marczykowski 2012-08-14 13:40:52 EDT
100% reproductable: 
1. Open Oracle VM Virtualbox
2. Select some VM
3. Click "Settings"
4. crash

Virtualbox version:
VirtualBox-4.1-4.1.18_78361_fedora17-1.x86_64
VirtualBox-kmodsrc-4.1.18-1.fc17.x86_64


backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.2-4.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Adam Jackson 2012-10-18 17:49:16 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 5 Adam Jackson 2012-10-18 17:49:48 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 6 Rafael Ávila de Espíndola 2012-10-18 19:53:29 EDT
That is the version I have:

$ rpm -qa | grep x11-server-Xor
xorg-x11-server-Xorg-1.12.3-2.fc17.x86_64


It normally crashes when I leave the computer alone for 1h or so. How do I reopen the bug?
Comment 7 Fedora End Of Life 2013-07-04 03:06:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:50:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.